Installing Eclipse integration plugin results in "This trust engine is read only" error

Technote (troubleshooting)


Problem(Abstract)

Attempts to installing Eclipse integration plugin in IBM Rational Rhapsody results in the error "Cannot connect to keystore. This trust engine is read only. Cannot complete the install because one or more required items could not be found."

Symptom

The full error message is as follows:

Cannot connect to keystore.
This trust engine is read only.
Cannot complete the install because one or more required items could not be found.
Software currently installed: IBM(R) Rational(R) Rhapsody(R) Workflow Integration support for WindRiver Workbench 7.5.2.1471822 (com.ibm.rational.rhapsody.wfi.workbench.feature.feature.group 7.5.2.1471822)
Missing requirement: Rhapsody WindRiver Workbench support 7.5.2.1471822 (com.ibm.rational.rhapsody.wfi.workbench 7.5.2.1471822) requires 'bundle com.windriver.ide.core 0.0.0' but it could not be found
Cannot satisfy dependency:
From: IBM(R) Rational(R) Rhapsody(R) Workflow Integration support for WindRiver Workbench 7.5.2.1471822 (com.ibm.rational.rhapsody.wfi.workbench.feature.feature.group 7.5.2.1471822)
To: com.ibm.rational.rhapsody.wfi.workbench [7.5.2.1471822]

Cause

Incorrect option selected during installation.

Resolving the problem

Ensure you are selecting only one of four options:

  1. IBM Rational Rhapsody Platform Integration
  2. IBM Rational Rhapsody Platform Integration support for WindRiver Workbench
  3. IBM Rational Rhapsody Workflow Integration
  4. IBM Rational Rhapsody Workflow Integration support for WindRiver Workbench

Note: Options 1 and 3 are used for general Eclipse integration.


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Rhapsody
Installation

Software version:

7.5.2

Operating system(s):

Linux, Windows

Reference #:

1441470

Modified date:

2011-07-13

Translate my page

Machine Translation

Content navigation